%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	An archive manager for GNOME
Name:		file-roller
Version:	3.6.4
Release:	%mkrel 1
License:	GPLv2+
URL:		http://download.gnome.org/sources/file-roller/
Group:		Archiving/Compression
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(libnautilus-extension) >= 2.22.2
BuildRequires:	pkgconfig(sm)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	magic-devel
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils

# for the gsettings schema
Requires:	nautilus

Requires:	packagekit-gui
Suggests:	p7zip

Obsoletes:	%{name}-nautilus < 3.0.2-2

%description
File Roller is an archive manager for the GNOME environment. This means
you can create and modify archives, view the content of an archive, view a
file contained in the archive and extract files from the archive.

File Roller is only a front-end (a graphical interface) to archiving
programs.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--disable-scrollkeeper \
	--enable-packagekit \
	--enable-magic \
	--disable-static \
	--enable-nautilus-actions

%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome --all-name --with-help

#remove unpackaged files
rm -rf %{buildroot}%{_libdir}/nautilus/extensions-3.0/*.{la,a}
rm -rf %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf %{buildroot}/var/scrollkeeper

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/file-roller
%{_datadir}/file-roller
%{_datadir}/applications/file-roller.desktop
%{_libexecdir}/file-roller
%{_datadir}/dbus-1/services/org.gnome.FileRoller.service
%{_datadir}/icons/hicolor/*/apps/file-roller.png
%{_datadir}/glib-2.0/schemas/org.gnome.FileRoller.gschema.xml
%{_datadir}/GConf/gsettings/file-roller.convert
%{_libdir}/nautilus/extensions-3.0/libnautilus-fileroller.so


%changelog
* Mon Jul 22 2013 luigiwalser <luigiwalser> 3.6.4-1.mga3
+ Revision: 457310
- 3.6.4 (fixes CVE-2013-4668)
- add upstream patch to fix CVE-2013-4668

* Fri Jan 11 2013 umeabot <umeabot> 3.6.3-2.mga3
+ Revision: 350307
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 27 2012 ovitters <ovitters> 3.6.3-1.mga3
+ Revision: 322444
- new version 3.6.3

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317354
- new version 3.6.2

* Wed Oct 17 2012 ovitters <ovitters> 3.6.1.1-1.mga3
+ Revision: 307750
- new version 3.6.1.1

* Mon Oct 15 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 306758
- drop merged patches
- new version 3.6.1

* Sat Oct 13 2012 blino <blino> 3.6.0-2.mga3
+ Revision: 305223
- fix hardlinks handling in tarballs (from upstream git, bgo#686061)

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297212
- new version 3.6.0

* Tue Sep 18 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295688
- new version 3.5.92

* Tue Sep 04 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 288063
- new version 3.5.91

* Mon Aug 20 2012 ovitters <ovitters> 3.5.90-1.mga3
+ Revision: 282657
- new version 3.5.90

* Thu Aug 09 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 280206
- br pkgconfig(libarchive)
- new version 3.5.4

* Sun Aug 05 2012 wally <wally> 3.5.3-2.mga3
+ Revision: 278605
- suggest p7zip
- simplify description
- clean .spec a bit

* Mon Jul 16 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 271470
- new version 3.5.3

* Sun Jul 01 2012 ovitters <ovitters> 3.5.2-1.mga3
+ Revision: 266323
- update file list
- drop gconf2 pre script require
- update buildrequires
- new version 3.5.2

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235693
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231119
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226898
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224544
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220295
- new version 3.3.91

* Wed Feb 22 2012 ovitters <ovitters> 3.3.90-1.mga2
+ Revision: 212324
- new version

* Tue Feb 07 2012 fwang <fwang> 3.3.3-1.mga2
+ Revision: 205754
- new version 3.3.3

* Mon Jan 16 2012 ovitters <ovitters> 3.3.2-1.mga2
+ Revision: 197038
- new version

* Mon Dec 19 2011 wally <wally> 3.3.1-1.mga2
+ Revision: 184559
- new version 3.3.1

* Sun Nov 27 2011 wally <wally> 3.2.2-2.mga2
+ Revision: 172839
- own omf dir

* Wed Nov 16 2011 wally <wally> 3.2.2-1.mga2
+ Revision: 168103
- new version 3.2.2

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155958
- new version 3.2.1

* Mon Sep 26 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 148918
- new version 3.2.0

* Mon Sep 19 2011 wally <wally> 3.1.92-1.mga2
+ Revision: 145769
- new version 3.1.92

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139324
- new version 3.1.91

* Tue Aug 30 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136373
- new version 3.1.90

  + wally <wally>
    - new version 3.1.2
    - new version 3.1.1
    - enable libmagic support
    - clean BRs and use pkgconfig() style if possible
    - clean .spec a bit

* Thu Jul 14 2011 ahmad <ahmad> 3.0.2-4.mga2
+ Revision: 124068
- Use %%configure2_5x
- Drop some no-longer-exist configure options
- Add back the packagekit-gui requires
- Drop the chrpath bits, not needed any more

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-3.mga2
+ Revision: 111358
- Fix obsoletes

* Tue Jun 21 2011 dmorgan <dmorgan> 3.0.2-2.mga2
+ Revision: 111357
- Merge libnautilus-fileroller.so in file-roller package as file-roller requires nautilus and nothing requires this extension ( ahmad )
- Remove what is handled by filetriggers
  remove useless macros

* Tue Jun 21 2011 dams <dams> 3.0.2-1.mga2
+ Revision: 111244
- Update to 3.0.2
- Clean spec file and update BR

* Wed Apr 27 2011 ahmad <ahmad> 2.32.2-1.mga1
+ Revision: 91874
- Update to 2.32.2

* Sun Feb 20 2011 eandry <eandry> 2.32.1-2.mga1
+ Revision: 54932
- BR libsm-devel

  + wally <wally>
    - drop buildroot definition
    - clean .spec a bit
    - imported package file-roller

